> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Renovar tokens con refresh token

> Recibe un refresh token valido y emite un nuevo access token junto con un refresh token renovado. Usar cuando el access token expire.



## OpenAPI

````yaml /generated/specs/auth.json post /api/auth/refresh
openapi: 3.0.0
info:
  title: Raul API - Acceso
  description: Autenticacion, sesiones, usuarios y seguridad base.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Auth
    description: Autenticacion y gestion de usuarios
paths:
  /api/auth/refresh:
    post:
      tags:
        - Auth
      summary: Renovar tokens con refresh token
      description: >-
        Recibe un refresh token valido y emite un nuevo access token junto con
        un refresh token renovado. Usar cuando el access token expire.
      operationId: AuthController_refreshToken
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshTokenRequestDto'
      responses:
        '200':
          description: Tokens renovados
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshTokenResponseDto'
        '401':
          description: Refresh token inválido o expirado
components:
  schemas:
    RefreshTokenRequestDto:
      type: object
      properties:
        refresh_token:
          type: string
          description: Refresh token
          example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
      required:
        - refresh_token
    RefreshTokenResponseDto:
      type: object
      properties:
        token:
          type: string
          description: Nuevo JWT access token
          example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.new-access-token
        refresh_token:
          type: string
          description: Nuevo refresh token
          example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.new-refresh-token
      required:
        - token
        - refresh_token

````